<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:k20events/Resources/Private/Language/locallang_db.xlf:ctrl.tx_k20events_date.title',
        'hideTable' => true,
        'label' => 'start_date',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'delete' => 'deleted',
        'default_sortby' => 'start_date ASC',
        'typeicon_classes' => [
            'default' => 'actions-edit-pick-date'
        ]
    ],
    'interface' => [
        'showRecordFieldList' => 'start_date,end_date'
    ],
    'columns' => [
        'eventid' =>[
            'label' => 'LLL:EXT:k20events/Resources/Private/Language/locallang_db.xlf:columns.eventid',
            'config' => [
                'type' => 'passthrough'
            ]
        ],
        'start_date' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:k20events/Resources/Private/Language/locallang_db.xlf:columns.start_date',
            'config' => [
                'type' => 'input',
                'size' => '12',
                'max' => '25',
                'eval' => 'required,date'
            ]
        ],
        'end_date' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:k20events/Resources/Private/Language/locallang_db.xlf:columns.end_date',
            'config' => [
                'type' => 'input',
                'size' => '12',
                'max' => '25',
                'eval' => 'required,date'
            ]
        ],
    ],
    'types' => [
        '1' => [
            'showitem' => ', --palette--;LLL:EXT:k20events/Resources/Private/Language/locallang_db.xlf:palette.startend;startend',
        ],
    ],
    'palettes' => [
        'startend' => [
            'showitem' => 'start_date,end_date',
            'canNotCollapse' => 1
        ],
    ]
];
