tt_content.list.20.k20events_list = COA
tt_content.list.20.k20events_list{
    wrap = <div class="k20events list">|</div>
    10 = CONTENT
    10{
        table = tx_k20events_date
        select{
            leftjoin = tx_k20events_event ON tx_k20events_date.eventid = tx_k20events_event.uid
            pidInList.field = pages
            selectFields = *, tx_k20events_date.uid AS duid
            where = end_date > UNIX_TIMESTAMP()
            orderBy = start_date ASC
        }
        renderObj = COA
        renderObj.10 = FLUIDTEMPLATE
        renderObj.10 {
            templateName = List
            layoutRootPaths.10 = EXT:k20events/Resources/Private/Layouts
            partialRootPaths.10 = EXT:k20events/Resources/Private/Partials
            templateRootPaths.10 = EXT:k20events/Resources/Private/Templates
#            dataProcessing {
#               10 = TYPO3\CMS\Frontend\DataProcessing\FilesProcessor
#                10 {
#                    references.fieldName = image
#                    references.table = tx_k20events_event
#                }
#                20 = TYPO3\CMS\Frontend\DataProcessing\GalleryProcessor
#            }
            variables{
                singlelink = TEXT
                singlelink{
                    typolink{
                        parameter = {$plugin.tx_k20events.pid.singleview}
                        useCacheHash = 1
                        additionalParams.cObject = COA
                        additionalParams.cObject{
                            20 = TEXT
                            20.field = duid
                            20.wrap = &k20events[dateuid]=|
                        }
                        returnLast = url
                    }
                }
            }
        }
    }
}