#
# Table structure for table 'tx_k20events_event'
#
CREATE TABLE tx_k20events_event (
	uid int(11) unsigned NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0' NOT NULL,
	dates int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(3) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	starttime int(11) unsigned DEFAULT '0' NOT NULL,
	endtime int(11) unsigned DEFAULT '0' NOT NULL,
	header varchar(255) DEFAULT '' NOT NULL,
	image int(11) unsigned DEFAULT '0' NOT NULL,
	content mediumtext,
	shortcut int(10) unsigned DEFAULT '0' NOT NULL,
	allday tinyint(4) unsigned DEFAULT '0' NOT NULL,
	start_time int(11) unsigned DEFAULT '0' NOT NULL,
	end_time int(11) unsigned DEFAULT '0' NOT NULL,
	freq varchar(128) DEFAULT 'none',
	every tinyint(4) unsigned DEFAULT '1',
	every_weekday_1 tinyint(1) DEFAULT '0' NOT NULL,
	every_weekday_2 tinyint(1) DEFAULT '0' NOT NULL,
	every_weekday_3 tinyint(1) DEFAULT '0' NOT NULL,
	every_weekday_4 tinyint(1) DEFAULT '0' NOT NULL,
	every_weekday_5 tinyint(1) DEFAULT '0' NOT NULL,
	every_weekday_6 tinyint(1) DEFAULT '0' NOT NULL,
	every_weekday_7 tinyint(1) DEFAULT '0' NOT NULL,
	repeat_by tinyint(1) DEFAULT '0' NOT NULL,
	repeat_end_type tinyint(1) DEFAULT '0' NOT NULL,
	repeat_end_times tinyint(4) unsigned DEFAULT '10',
	repeat_end_date int(11) DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_k20events_date'
#
CREATE TABLE tx_k20events_date (
	uid int(11) unsigned NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0' NOT NULL,
	eventid int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(3) unsigned DEFAULT '0' NOT NULL,
	start_date int(11) DEFAULT '0' NOT NULL,
	end_date int(11) DEFAULT '0' NOT NULL

	PRIMARY KEY (uid),
	KEY parent (pid),
	KEY eventid (eventid),
	KEY start_date (start_date)
);